W(1)

NUME
w - Afișează cine este conectat și ce face fiecare.

REZUMAT
w [opțiune ...] [utilizator]

DESCRIERE
w afișează informații despre utilizatorii aflați în prezent conectați la mașină și despre procesele acestora. Antetul arată, în această ordine, ora curentă, de cât timp funcționează sistemul, câți utilizatori sunt conectați în prezent și mediile de încărcare a sistemului pentru ultimele 1, 5 și 15 minute.

Următoarele intrări sunt afișate pentru fiecare utilizator: numele de conectare, numele tty, gazda la distanță, timpul de conectare, timpul de inactivitate, JCPU, PCPU și linia de comandă a procesului curent.

Timpul JCPU este timpul folosit de toate procesele atașate la tty. Nu include lucrările din fundal anterioare, dar include lucrările din fundal care rulează în prezent.

Timpul PCPU este timpul utilizat de procesul curent, numit în câmpul „ce”.

OPȚIUNI

-c, --container
    afișează în antet timpul de funcționare al containerului în loc de timpul de funcționare al sistemului.

-h, --no-header
    Nu afișează antetul.

-u, --no-current
    Ignoră numele de utilizator în timp ce determină procesul curent și timpii CPU. Pentru a demonstra acest lucru, executați comanda su și apoi comanda w și comanda w -u.

-s, --short
    Utilizează formatul scurt. Nu afișează ora de conectare, timpii JCPU sau PCPU.

-t, --terminal
    De obicei, w va utiliza fie tabelul de sesiuni systemd, fie fișierul utmp pentru a localiza utilizatorii. În modul terminal, w va scana dispozitivele terminale și va localiza sesiunile utilizatorilor în acest mod. Aceasta nu este o numărătoare reală a utilizatorilor, de exemplu un utilizator cu două xterm-uri va apărea de două ori, astfel încât numărul de utilizatori din antet va fi diferit. În prezent, dispozitivele terminale scanate sunt /dev/tty* și /dev/pts/*.

-f, --from
    Comută afișarea/neafișarea câmpului din (numele gazdei de la distanță). Valoarea implicită, așa cum a fost lansată, este ca câmpul din să nu fie afișat, deși administratorul de sistem sau întreținătorul distribuției poate să fi compilat o versiune în care câmpul din este afișat implicit.

--help
    Afișează acest mesaj de ajutor.

-i, --ip-addr
    Afișează adresa IP în locul numelui de gazdă pentru câmpul from. Această opțiune funcționează numai pe platforme non-systemd, deoarece libsystemd furnizează numai gazda la distanță.

-p, --pids
    Afișează pid-ul procesului de autentificare sau al procesului „what” în câmpul „what”. Procesul de autentificare («login») este denumit și lider de sesiune.

-V, --version
    Afișați informațiile despre versiune.

-o, --old-style
    Afișare în stil vechi. Imprimă spațiu liber pentru timpi de inactivitate mai mici de un minut.

utilizator
    Afișează informații numai despre utilizatorul specificat.

VARIABILE DE MEDIU

PROCPS_CONTAINER
    Dacă $PROCPS_CONTAINER este activat, atunci w se comportă ca și cum ar fi fost dată opțiunea --container.

PROCPS_USERLEN
    Suprascrie lățimea implicită a coloanei numelui de „utilizator”. Valoarea implicită este 8.

PROCPS_FROMLEN
    Suprascrie lățimea implicită a coloanei „din”. Valoarea implicită este 16.

FIȘIERE

/var/run/utmp
    informații despre cine este conectat în prezent, doar pentru gazdele non-systemd.

/proc
    informații despre procese

/dev/tty* , /dev/pts/*
    Fișiere ale dispozitivelor de terminal scanate în modul --terminal.

ERORI

Când se utilizează opțiunea --terminal, w presupune că procesele cu un PID părinte de 0 sau 1 sunt procese agetty(8) și nu le va afișa. Acest lucru poate duce la erori atât fals pozitive, cât și fals negative.

Timpul de inactivitate pentru utilizatorii anumitor sesiuni, cum ar fi sesiunile X/Wayland, va fi incorect. Opțiunea --terminal va afișa timpii de inactivitate corecti pentru sesiunile terminalului pe X/Wayland.

Pe platformele care utilizează systemd(1) opțiunea --ip-addr va fi ignorată, iar coloana „from” va raporta gazda la distanță fie ca nume de gazdă, fie ca adresă IP.

RAPORTAREA ERORILOR
Trimiteți rapoartele de eroare la procps@freelists.org.

CONSULTAȚI ȘI
free(1), loginctl(1), ps(1), systemd(1), top(1), uptime(1), who(1), utmp(5), agetty(8)